on run argv
	tell application "System Events" to set iChatRunning to name of processes contains "iChat"
	
	if iChatRunning is false then
		my debug("iChat is not running")
		return
	end if
	tell application "iChat"
		
		if status is offline then
			my debug("iChat is offline")
			return
		end if
		
		set currentStatusMessage to status message
		return my changeStatusTo(item 1 of argv)
	end tell
end run

on changeStatusTo(newMessage)
	tell application "iChat"
		if status message is not equal to newMessage then
			set status message to newMessage
			return
		else
			return
		end if
	end tell
end changeStatusTo
